org.richfaces.component

## Class UITreeModelRecursiveAdaptor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractTreeModelAdaptor
      - - org.richfaces.component.UITreeModelRecursiveAdaptor

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, TreeModelAdaptor, TreeModelRecursiveAdaptor

      public class UITreeModelRecursiveAdaptor
      extends AbstractTreeModelAdaptor
      implements TreeModelRecursiveAdaptor

  The component iterates through recursive collections in order to populate a tree with hierarchical nodes, such as for a file system with multiple levels of directories and files.

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITreeModelRecursiveAdaptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `Object` | `getNodes()`
    `String` | `getRecursionOrder()`
    `Object` | `getRoots()` EL expression pointing to top-level nodes (roots) which should tree model iterate over.
    `boolean` | `isLeaf()`
    `void` | `setLeaf(boolean leaf)`
    `void` | `setNodes(Object nodes)`
    `void` | `setRoots(Object roots)`

    - ### Methods inherited from class org.richfaces.component.AbstractTreeModelAdaptor

      `clearInitialState, getRowKeyConverter, markInitialState, memoizeDefaultRowKeyConverter, restoreState, saveState, setRowKeyConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.TreeModelAdaptor

      `getRowKeyConverter, setRowKeyConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITreeModelRecursiveAdaptor

          public UITreeModelRecursiveAdaptor()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getRoots

          public Object getRoots()

      EL expression pointing to top-level nodes (roots) which should tree model iterate over. Implementation of java.util.Map or java.util.List. When map is provided, map keys are used as keys for the model, otherwise, keys are generated.
      Specified by:
        `getRoots` in interface `TreeModelRecursiveAdaptor`

    - #### setRoots

          public void setRoots(Object roots)

    - #### getNodes

          public Object getNodes()

      Specified by:
        `getNodes` in interface `TreeModelAdaptor`

    - #### setNodes

          public void setNodes(Object nodes)

    - #### getRecursionOrder

          public String getRecursionOrder()

      Specified by:
        `getRecursionOrder` in interface `TreeModelRecursiveAdaptor`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `TreeModelAdaptor`

    - #### setLeaf

          public void setLeaf(boolean leaf)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.